> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch workspace

> Update your current workspace details. Note that this endpoint doesn't require any parameters. It will update the workspace based on the API key sent in the headers.


Requires one of the following scopes: `workspaces:update`, `workspaces:all`, `all:update`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json patch /api/v2/workspaces/current
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/workspaces/current:
    patch:
      tags:
        - Workspace
      summary: Patch workspace
      description: >-
        Update your current workspace details. Note that this endpoint doesn't
        require any parameters. It will update the workspace based on the API
        key sent in the headers.



        Requires one of the following scopes: `workspaces:update`,
        `workspaces:all`, `all:update`, `all:all`
      operationId: patchWorkspace
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the workspace
                  example: My Workspace
                org_logo_url:
                  type:
                    - string
                    - 'null'
                  description: URL to workspace logo
                  example: https://example.com/logo.png
              required: []
              additionalProperties: false
              minProperties: 1
      responses:
        '200':
          description: The updated Workspace
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-20'
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    def-20:
      title: Workspace
      description: A workspace entity representing a workspace
      x-tags:
        - Schemas
        - Workspace
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the workspace
          readOnly: true
          format: uuid
          example: 019e18e2-7947-7550-ac77-19315c6fd797
        timestamp_created:
          type: string
          description: Timestamp when the workspace was created
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.911Z'
        timestamp_updated:
          type: string
          description: Timestamp when the workspace was last updated
          readOnly: true
          format: date-time
          example: '2026-05-11T21:12:35.911Z'
        owner:
          type: string
          description: User ID of the workspace owner
          readOnly: true
          format: uuid
          example: 019e18e2-7947-7550-ac77-1932813bdfc0
        name:
          type: string
          description: Name of the workspace
          example: My Workspace
        plan_id:
          type:
            - 'null'
            - string
          description: Plan ID for workspace
          readOnly: true
          example: pid_hg_v1
        add_unsub_to_block:
          type:
            - 'null'
            - boolean
          description: Whether to add unsubscribes to block list
          example: false
        default_opportunity_value:
          type:
            - 'null'
            - number
          description: Default value for opportunities
          example: 250
        plan_id_leadfinder:
          type:
            - 'null'
            - string
          description: Plan ID for leadfinder
          readOnly: true
          example: pid_lf_ls_v1
        plan_id_verification:
          type: object
          description: Plan ID for verification service
          readOnly: true
          properties:
            quantity:
              type: number
              example: 5
            product_id:
              type: string
              example: pid_verify_v1_monthly
            timestamp_updated:
              type: string
              format: date-time
              example: '2024-07-22T05:56:58.667Z'
        org_logo_url:
          type:
            - 'null'
            - string
          description: URL to workspace logo
          example: https://example.com/logo.png
        org_client_domain:
          type:
            - 'null'
            - string
          description: The domain for the white label agency mode
          readOnly: true
          example: example.com
        plan_id_crm:
          type:
            - 'null'
            - string
          description: Plan ID for CRM
          readOnly: true
          example: pid_crm_v1
        plan_id_website_visitor:
          type:
            - 'null'
            - string
          description: Plan ID for website visitor tracking
          readOnly: true
          example: pid_wvw_v1
        plan_id_inbox_placement:
          type:
            - 'null'
            - string
          description: Plan ID for inbox placement
          readOnly: true
          example: pid_ip_v1
      required:
        - id
        - timestamp_created
        - timestamp_updated
        - owner
        - name
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````